Open topic with navigation

TIBCO ActiveMatrix® Service Grid - Container Edition 1.0.0

# JMS Binding Reference

JMS bindings include properties. You can configure most properties and several properties accept substitution variables.

Binding
Field | Required? | Editable? | Accepts Svar? | Description
--- | --- | --- | --- | ---
Name | Y | Y | N | Name of the JMS binding.
Description | N | Y | N | Description of the JMS binding.
Connection Factory | Y | Y | N | The name of a JMS Connection Factory. Required for MEP: In-Out (service, reference) In-Only (service, reference)

Configuration for JMS Binding Request Communication
Field | Required? | Editable? | Accepts Svar? | Description
--- | --- | --- | --- | ---
Destination Type | Y | Y | N | The type of JMS destination, queue, topic, or JNDI. For direct destinations, use queue or topic. For JNDI resource template, use the JMS destination resource template. Required for MEP: In-Only (service, reference) In-Out (service, reference)
Destination | Y | Y | N | (This property is only applicable for the JNDI destination type.) The name of a JMS destination in case of JMS destination resource template. Required for MEP: In-Only (service, reference) In-Out (service, reference)
Queue Name | N | Y | Y | Name of the queue if destination type is selected as queue.
Topic Name | N | Y | Y | Name of the topic if destination type is selected as topic.

Configuration for Reply JMS message, applicable for In-Out MEP
Field | Required? | Editable? | Accepts Svar? | Description
--- | --- | --- | --- | ---
Destination Type | Y | Y | N | The type of JMS destination, queue, topic or JNDI. For direct destinations, use queue or topic. For JNDI resource template, use the JMS destination resource template. Default: Same as Request Message Note: The 'Same as Request Message' option indicates that the Reply Message destination type is same as the Request Message destination type. In CLI script, there is no such option. You must select queue, topic, or JNDI. Required MEP: In-Out (service, reference)
Destination | Y | Y | N | (This property is only applicable for JNDI destination type.) The name of a JMS destination in case of JMS destination resource template. If unspecified, a temporary destination name derived from the value of JMSReplyTo JMS header is used.
Queue Name | N | Y | Y | Name of the queue if destination type is selected as queue.
Topic Name | N | Y | Y | Name of the topic if destination type is selected as topic.
Note: In case of In-Out MEP, even when Reply Message is configured, priority is given to JMSReplyTo JMS Message header and reply is sent on the destination represented by the JMSReplyTo header value. Clients must not set this header field when fixed reply destination is used.

Advanced Settings for JMS Binding
Field | Required? | Editable? | Accepts Svar? | Description
--- | --- | --- | --- | ---
Reply Message Note: If Request or Reply message destination type is set to queue or topic and the JMS provider does not support dynamic queue or topic creation, or the user of provider does not have create permissions, create a queue or topic before deploying the application.
Connection Factory | Y | Y | N | Name of the JMS connection factory resource template. Default: Same as Request Message Note: The 'Same as Request Message' option indicates that the Reply Message connection factory is same as the Request Message connection factory. In CLI script, there is no such option. Required MEP: In-Out (service, reference)
Correlation Scheme | Y | Y | Y | Scheme which identifies the correlation scheme used when sending reply messages. Required if the reply destination is set. The correlation schemes are: `RequestCorrelIDtoCorrelID` - Correlation ID of the request message is copied to the Correlation ID of the response message. `RequestMsgIDtoCorrelID` - Message ID of the request message is copied to the Correlation ID of the response message. Default: `RequestCorrelIDtoCorrelID` Note:`RequestMsgIDtoCorrelID` correlation scheme is not supported for topic set as static reply destination.
Operation Selection
Type | Y | Y | N | (Applicable only in case of multiple operations.) Operation selection scheme in case of multiple operations. SCA and custom are supported. In case of custom scheme, other properties (JMS Property Name and Error Action) are not editable but Message Selector configuration on each operation is mandatory. See "Operation Node" for more details.
JMS Property Name | Y | Y | Y | (Applicable only in case of multiple operations.) Name of the JMS property to be used for operation selection in case of multiple operations and `SCA` operation selection type. Default property name: `scaOperationName`
Error Action | Y | Y | N | (Applicable only in case of multiple operations.) Action to trigger when operation selection from multiple operations fails. `Discard Message` - When selected, runtime discards the message when operation selection fails. `Send Message To Operation` - When selected, the user can inform runtime to send the message to a particular configured operation when operation selection fails. `Send Message To Error Queue` - When selected, the user can inform runtime to send the message to a configured error queue when operation selection fails. `Retain Message in Service Destination` - When selected, the user can inform runtime to retain the message in the service request destination configured in Request Message section. Default error action: `Discard Message`
Operation Name | Y | Y | Y | Displayed when the `Send Message to Operation` error action is selected. Operation name to send the message in case the operation selection fails and `Send Message to Operation` is configured.
Error Queue Name | N | Y | Y | Displayed when the `Send Message to Error Queue` error action is selected. Error queue to send the JMS message in case the operation selection fails and `Send Message to Error Queue` error action is configured.
Fault Selection
JMS Property Name |  | Y | Y | JMS property name used to send the fault as a value. Default property name: `faultName`

Interface Settings
Field | Required? | Editable? | Accepts Svar? | Description
--- | --- | --- | --- | ---
Operation Selection
Message Selector | N | Y | Y | A JMS message selector allows the client to specify, by message header and properties, the messages it is interested in. Message selector on Interface Settings is configurable when the Error Action in the Operation Selection settings is other than `Retain Message in Service Destination` and Operation Selection Type is `SCA`.
Request Message
Message Type | Y | Y | Y | Message type used for request messages. The type is one of the following: XML Text - A text message carrying XML payload that confirms to specified schema. Bytes - Binary data Text - A text message carrying a payload of type `xsd:string`. XML Bytes - XML content sent as bytes. (JMS resources treat this type as bytes but JMS bindings expect content in XML.) Default: XML Text
Durable Subscription | N | Y | Y | (Applicable only if the Request Message Destination type is Topic.) Configurable only in JMS binding on Promoted Service. Specifies a durable subscription. You must specify a name in the Durable Subscription field which gets registered with the JMS application as the durable subscription name.
Subscription Name | Y | Y | Y | (Applicable only if the Request Message Destination type is Topic.) Configurable only in JMS binding on Promoted Service. The subscription name registered with the JMS application for durable subscriptions. This field is only available when the Durable Subscription field is selected.
Delivery Mode | Y | Y | Y | (Configurable only in JMS binding on Promoted Reference.) The delivery mode of the message. The mode is one of the following: Persistent - Messages are stored and forwarded. Non-Persistent - Messages are not stored and could be lost due to failures in transmission. TIBCO Enterprise Message Service Reliable - The consumer never sends the provider a receipt confirmation or access denial and the provider does not wait for it. Reliable mode decreases the volume of message traffic enabling higher message rates. Default: Non-Persistent
Message Priority | Y | Y | Y | (Configurable only in JMS binding on Promoted Reference.) Priority of the message. Valid value range: 0-9
Message Expiration | Y | Y | Y | (Configurable only in JMS binding on Promoted Reference.) The time, in milliseconds, for which request message is retained by the JMS provider.
Operation Timeout | N | Y | Y | (Configurable only in JMS binding on Promoted Reference.) The period that the JMS binding waits for the response to arrive. Default: If the MEP is In-Out, the default values are 6000 ms at the port type and operation levels. If other values (non-default values) are specified, these values take effect, with the value at the operation level given precedence. Note: Operation timeout is applicable for a reference only. For a service, add a thread policy on a component service and set timeout on the thread policy.
Reply Message
Message Type | Y | Y | Y | Message type used for reply messages. The type is one of the following: XML-Text - A text message carrying XML payload that confirms to specified schema. Bytes - Binary data Text - A text message carrying a payload of type `xsd:string`. XML Bytes - XML content sent as bytes. (JMS resource treat this type as bytes but JMS bindings expect content in XML.) Default: XML-Text
Delivery Mode | Y | Y | Y | (Configurable only in JMS binding on Promoted Service.) The delivery mode of the message. The mode is one of the following: Persistent - Messages are stored and forwarded. Non-Persistent - Messages are not stored and could be lost due to failures in transmission. TIBCO Enterprise Message Service Reliable - The consumer never sends the provider a receipt confirmation or access denial and the provider does not wait for it. Reliable mode decreases the volume of message traffic, enabling higher message rates. Default: Non-Persistent
Message Priority | N | Y | Y | (Configurable only in JMS binding on Promoted Service.) Priority of the message. Valid value range: 0-9
Message Expiration | N | Y | Y | (Configurable only in JMS binding on Promoted Service.) The time, in milliseconds, for which reply messages are retained by the JMS provider.
Fault Message: This section is visible only in JMS Binding on Promoted Service and if operation has defined faults. It is applicable only for In-Out-Fault MEP.
Override Reply Message | N | Y | N | Configuration from Reply Message is INHERITED by default. To Override Reply Message configuration in the Interface Settings for Fault Message, select `Override Reply Message`.
Message Type | Y | Y | Y | Message type used for reply messages. The type is one of the following: XML-Text - A text message carrying XML payload that confirms to specified schema. Bytes - Binary dataText - A text message carrying a payload of type `xsd:string`. xmlBytes - XML content sent as bytes. (JMS resource treat this type as bytes but JMS bindings expect content in XML.) Default: XML-Text
Delivery Mode | Y | Y | Y | The delivery mode of the message. The mode is one of the following: Persistent - Messages are stored and forwarded. Non-Persistent - Messages are not stored and could be lost due to failures in transmission. TIBCO Enterprise Message Service Reliable - The consumer never sends the provider a receipt confirmation or access denial and the provider does not wait for it. Reliable mode decreases the volume of message traffic enabling higher message rates. Default: Non-Persistent
Message Priority | Y | Y | Y | Priority of the message. Valid value range: 0-9
Message Expiration | Y | Y | Y | The time, in milliseconds, for which reply message is retained by the JMS provider.

Operation Configuration
Field | Editable? | Accepts Svar? | Description
--- | --- | --- | ---
Operation Settings
Name | N | N | Operation name.
Description | Y | N | Notes for operation name.
Operation Selection Note: Configurable only in JMS Binding on Promoted Service.
Message Selector | Y | Y | A JMS message selector allows a client to specify, by message header, the messages it is interested in. Message Selector is displayed only when the Operation Selection Type is Custom or the Operation Selection Error Action is `Retain Message in Service Destination` and is used as a operation selector for the selected operation.
Request Message
Override Request Message | Y | N | Override INHERITED Request Message configuration from the Interface Settings for this operation only. If selected, Message Type can be overridden.
Message Type | Y | Y | Message type used for request messages. The type is one of the following: XML Text - A text message carrying XML payload that confirms to specified schema. Bytes - Binary data Text - A text message carrying a payload of type `xsd:string`. XML Bytes - XML content sent as bytes. (JMS resource treat this type as bytes but JMS bindings expect content in XML.) Default: XML Text
Durable Subscription | Y | Y | Specifies a durable subscription. You must specify a name in the Durable Subscription field which gets registered with the JMS application as the durable subscription name. Durable subscription is displayed only when the Request Message Destination Type is Topic and Operation Selection Type is Custom or the Operation Selection Error Action is `Retain Message in Service Destination`.
Subscription Name | Y | Y | The subscription name registered with the JMS application for durable subscriptions. This field is only available when the Durable field is selected, the Request Message Destination Type is Topic, and the Operation Selection Type is Custom or the Operation Selection Error Action is `Retain Message in Service Destination`.
Delivery Mode | Y | Y | (Configurable only in JMS binding on Promoted Reference.) The delivery mode of the message. The mode is one of the following: Persistent - Messages are stored and forwarded. Non-Persistent - Messages are not stored and could be lost due to failures in transmission. TIBCO Enterprise Message Service Reliable - The consumer never sends the provider a receipt confirmation or access denial and the provider does not wait for it. Reliable mode decreases the volume of message traffic enabling higher message rates. Default: Non-Persistent
Message Priority | Y | Y | (Configurable only in JMS binding on Promoted Reference.) Priority of the message. Valid value range: 0-9
Message Expiration | Y | Y | (Configurable only in JMS binding on Promoted Reference.) The time, in milliseconds, for which reply messages are retained by the JMS provider.
Operation Timeout | Y | Y | (Configurable only in JMS binding on Promoted Reference.) The period that the JMS binding waits for the response to arrive. Default: If the MEP is In-Out, the defaults are 6000 ms at the port type and operation levels. If other values (non-default values) are specified, these values take effect, with the value at the operation level given precedence. Note: Operation Timeout is applicable for a reference only. For a service, add a thread policy on a component service and set timeout on the thread policy.
Reply Message
Override Reply Message | Y | N | Override INHERITED Reply Message configuration from Interface Settings for this operation only.
Message Type | Y | Y | Message type used for reply messages. The type is one of the following: XML Text - A text message carrying XML payload that confirms to specified schema. Bytes - Binary data Text - A text message carrying a payload of type `xsd:string`. XML Bytes - XML content sent as bytes. (JMS resource treat this type as bytes but JMS bindings expect content in XML.) Default: XML Text
Delivery Mode | Y | Y | (Configurable only in JMS binding on Promoted Service.) The delivery mode of the message. The mode is one of the following: Persistent - Messages are stored and forwarded. Non-Persistent - Messages are not stored and could be lost due to failures in transmission. TIBCO Enterprise Message Service Reliable - The consumer never sends the provider a receipt confirmation or access denial and the provider does not wait for it. Reliable mode decreases the volume of message traffic enabling higher message rates. Default: Non-Persistent
Message Priority | Y | Y | (Configurable only in JMS binding on Promoted Service.) Priority of the message. Valid value range: 0-9
Message Expiration | Y | Y | (Configurable only in JMS binding on Promoted Reference.) The time, in milliseconds, for which reply messages are retained by the JMS provider.
Fault Message Note: This section is visible only if faults are configured.
Override Fault Message | Y | N | Override INHERITED fault message configuration from the Interface Settings.
Fault Name | N | N | Name of the fault.
Message Type | Y | Y | Message type used for reply messages. The type is one of the following: XML Text - A text message carrying XML payload that confirms to specified schema. Bytes - Binary data Text - A text message carrying a payload of type `xsd:string`. XML Bytes - XML content sent as bytes. (JMS resource treat this type as bytes but JMS bindings expect content in XML.) Default: XML Text
Delivery Mode | Y | Y | The delivery mode of the message. The mode is one of the following: Persistent - Messages are stored and forwarded. Non-Persistent - Messages are not stored and could be lost due to failures in transmission. TIBCO Enterprise Message Service Reliable - The consumer never sends the provider a receipt confirmation or access denial and the provider does not wait for it. Reliable mode decreases the volume of message traffic enabling higher message rates. Default: Non-Persistent
Message Priority | Y | Y | Priority of the message. Valid value range: 0-9
Message Expiry | Y | Y | (Configurable only in JMS binding on Promoted Service.) The time, in milliseconds, for which reply messages are retained by the JMS provider.

Copyright © 2020-2021. TIBCO Software Inc. All Rights Reserved.